function E0090()
    MNA()CMU("CS_Vivi")SetAni()FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")SetAni()FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")SetAni()FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")SetAni()FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")SetAni()FAI(4)
end

function SetAni()
    if(FLJ("HeroBack")) then
        --
    elseif(FLJ("FishHooked")) then
        ANP("Kanpa1","sit")
        ANP("Kanpa1",204)
        SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    elseif(FLJ("PlayJailFishingAni")) then
        MNP("Kanpa1",24,12,1)
        ANP("Kanpa1","sit")
        ANP("Kanpa1",204)
        ANP("Kanpa1","show_fishing_rod")
        ANP("Kanpa1","close_the_eyes")
        SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    else
        ANP("Kanpa1","sit",0)
        ANP("Kanpa1",204)
    end
end

function GoSoapCastle()
    PRI()FAO(3)TRA("CS_soapcastle","E0091",49,46)
end

function SwimSoapCastle()
    PRI()FAO(3)TRA("CS_soapcastle","E0091",52,55)
end

function SwimSoapCastleTalaRoom()
    PRI()FAO(0)TRA("CS_soapcastle_talaroom","E0092",38,21)
end

function PlaceChakoToJail()
    KEY()
    DNP("PlaceChakoToJail")
    FLS("PlaceChakoToJail")
    PMU(5)
    WAI(32)
    SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)
    ANP("Sue1","normal",0)
    SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)
    FAC("sue_normal")MS3("\n有人要来了！")NOD()CLO()
    ANP("Kanpa1","normal",0)
    WAI(32)
    SNP("CS_soapwalker_animate",3,12,1,"mainLayer","Tala1")
    ANP("Tala1","with_chako",0)
    ANP("Tala1","walk",1)
    WAI(80)
    ANP("Tala1","normal",1)
    WAI(16)
    ANP("Tala1","with_chako",1)
    WAI(32)
    MNP("IronBar1",10,10,0)
    SOU("CS_110")
    WAI(32)
    ANP("Tala1","catch_chako",1)
    WAI(16)
    ANP("Tala1","catch_chako",0)
    WAI(16)
    ANP("Tala1","without_chako",0)
    ANP("Tala1","normal",1)
    SNP("CS_chako_animate",9,12,1,"mainLayer","Chako1")
    WAI(64)
    FAC("sue_normal")MS3("\n是恰可姐！")NOD()CLO()
    ANP("Chako1","walk",1)
    WAI(64)
    ANP("Chako1","normal",1)
    MNP("IronBar1",10,12,0)
    SOU("CS_110")
    WAI(16)
    ANP("Chako1","normal",0)
    WAI(32)
    FAC("soapwalker_normal")MS3("不要不开心呐小美人，")NOD()
    CAT("\n晚上我会好好玩你的~")NOD()CLO()
    WAI(16)
    ANP("Tala1","walk",0)
    WAI(80)
    DNP("Tala1")
    WAI(32)
    ANP("Sue1","walk",0)
    WAI(16)
    ANP("Toroko1","walk",0)
    WAI(16)
    ANP("Kanpa1","walk",0)
    WAI(64)
    ANP("Sue1","normal",0)
    WAI(32)
    ANP("Toroko1","normal",0)
    WAI(48)
    ANP("Kanpa1","normal",0)
    WAI(32)
    CMU("CS_Kodou")
    FAC("sue_normal")MS3("\n恰可你没事吧？")NOD()CLO()
    WAI(60)
    ANP("Chako1","normal",1)
    WAI(60)
    FAC("chako_sad")MS3("我没事，")NOD()
    ANP("Chako1","normal",0)
    CAT("\n只不过...")NOD()CLO()
    WAI(60)
    ANP("Chako1","back",0)
    WAI(120)
    FAC("sue_normal")MS3("恰可？")NOD()
    FAC("sue_sad")CAT("\n感觉你有点沮丧，")NOD()
    CAT("\n是因为刚才怪物对你")
    CAT("\n吼叫的原因嘛？")NOD()CLR()
    CAT("唉...")NOD()
    CAT("\n完全不知道怪物接下来")
    CAT("\n要对我们做什么，")NOD()
    CAT("\n我们也听不懂他们的话。")NOD()CLR()
    CAT("不知道")
    CAT("\n村里剩下的其他人怎么样了...")NOD()CLO()
    WAI(60)
    ANP("Chako1","normal",1)
    WAI(60)
    FAC("chako_normal")MS3("科恩们已经全部躲了起来，")NOD()
    CAT("\n杰克和桑塔还在来救我们的路上。")NOD()CLR()
    FAC("sue_normal")CAT("\n金和库特、卡莉他们还没回来？")NOD()CLR()
    FAC("chako_normal")CAT("\n目前还没...")NOD()CLR()
    FAC("sue_sad")CAT("那没希望了，")NOD()
    ANP("Sue1","angry")
    FAC("sue_angry")CAT("\n那两个一个酒鬼一个胆小鬼，")NOD()
    CAT("\n肯定打不过这些高大的怪物们的。")NOD()CLR()
    ANP("Sue1","normal",0)
    FAC("toroko_normal")CAT("鬼的话")ANP("Sue1","normal",1)CAT("可要比怪物厉害哦，")NOD()
    CAT("\n我相信他们可以的。")NOD()CLO()
    PMU(5)
    WAI(60)
    FAC()MS3("\n你们有人")ANP("Toroko1","normal",1)CAT("看到马宾嘛？")NOD()CLR()
    FAC("sue_sad")CAT("你还在想他啊...")NOD()
    CAT("\n我都感觉他可能已经被怪物吃掉了。")NOD()CLR()
    FAC("toroko_><")CAT("\n吃....吃掉？！")NOD()CLO()
    ANP("Toroko1","run",1)
    WAI(40)
    ANP("Toroko1","normal",0)
    WAI(60)
    SOU("CS_102_jaws")
    WAI(60)
    FAC("sue_sad")MS3("是啊，就像我现在饿了，")NOD()
    CAT("\n想吃掉谁一样...")NOD()CLR()
    FAC()CAT("\n那我去钓点鱼好了...")NOD()CLO()
    ANP("Kanpa1","walk",1)
    WAI(16)
    ANP("Toroko1","normal",1)
    WAI(96)
    ANP("Kanpa1","normal",1)
    WAI(32)
    ANP("Kanpa1","sit",1)
    ANP("Kanpa1","show_fishing_rod")
    WAI(32)
    SNP("CS_fishhook",25,14,0,"mainLayer","FishHook1")
    WAI(32)
    ANP("Kanpa1","close_the_eyes")
    WAI(32)
    CMU("CS_Vivi")
    FAC("sue_sad")MS3("都这种时候了，")
    CAT("\n你居然还有心情钓鱼。")NOD()CLR()
    CAT("这种鬼地方")
    CAT("\n能钓上鱼来才见鬼了呢...")NOD()
    FLP("PlayJailFishingAni")
    FLP("IronheadTookAway")
end

function FishHooked()
    KEY()
    DNP("FishHooked")
    FLP("FishHooked")
    AMC("float")
    SLR("FishHook1",PLY())
    FAC("jack_normal")MS3("这是鱼钩诶，")NOD()
    CAT("\n怎么会有傻子在这里钓鱼...")NOD()CLO()
    ANP("FishHook1","move_to_check_event_player")
    WAI(32)
    SOU("CS_055_enemy_squeak2")
    AMC("hurt",GLR(PLY()),PLY())
    WAI(32)
    if(MCN(PLY()) == "CS_mychar_jackfish") then
        SLR("CS_mychar_jackfish_p1")
        FAC("jack_><")MS3("桑塔！我不小心被钩上了！！")NOD()
        CAT("\n你们快把我从钩上弄下来啊！")NOD()CLR()
        FAC()
    else
        SLR("CS_mychar_santafish_p2")
        FAC()MS3("杰克！我不小心被钩上了！！")NOD()
        CAT("\n你们快把我从钩上弄下来啊！")NOD()CLR()
        FAC("jack_normal")
    end
    CAT("喂喂！骗人的吧...")NOD()
    CAT("\n我们这就来帮你！")NOD()CLO()
    AMC("bark")WAI(32)
    AMC("bark")WAI(32)
    if(MCN(PLY()) == "CS_mychar_jackfish") then
        AMC("close_to_player",0,"CS_mychar_santafish_p2")
    else
        AMC("close_to_player",0,"CS_mychar_jackfish_p1")       
    end
    AMC("close_to_player",0,"CS_mychar_puppyfish_p3")
    WAI(32)
    ANP("Kanpa1","> <_face")
    WAI(32)
    ANP("Kanpa1","show_sweat")
    MS3("我钓到鱼了！")NOD()
    ANP("Toroko1","normal",1)
    CAT("\n鱼在猛烈的挣扎着...")NOD()CLO()
    FLS("PlayJailFishingAni")
    FAO(0)
    TRA("CS_soapcastle_jail","FishMimiga",24,12)
end

function FishMimiga()
    KEY()
    MNP("Sue1",22,12,1)
    MNP("Toroko1",21,12,1)
    ANP("Toroko1","normal",1)
    SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    MOV(23,12,"CS_mychar_jackfish_p1")
    MOV(24,12,"CS_mychar_santafish_p2")
    MOV(25,12,"CS_mychar_puppyfish_p3")
    AMC("normal",0)
    AMC("stand",1,"CS_mychar_puppyfish_p3")
    FAI(2)
    CMU("CS_Anzen")
    WAI(32)
    FAC("sue_sad")MS3("还真让你钓上鱼了...")NOD()
    ANP("Sue1","angry")
    FAC("sue_angry")CAT("\n而且一下还是三条。")NOD()
    CAT("\n为什么一个钩能钓三条鱼啊...")NOD()CLR()
    ANP("Sue1","normal")
    FAC("toroko_normal")CAT("这没有什么不可思议的，")NOD()
    CAT("\n毕竟间八哥是我们那的钓鱼大师。")NOD()CLR()
    FAC("sue_sad")CAT("不过这鱼好丑，")NOD()
    CAT("\n还长着一副我最讨厌的人的脸。")NOD()CLR()
    FAC("toroko_normal")CAT("\n是说杰克嘛。")NOD()CLR()
    FAC("sue_angry")CAT("是啊！")NOD()
    CAT("\n哈哈！我真想让他看看这个。")NOD()CLR()
    FAC("chako_happy")CAT("不过老实说")
    CAT("\n中间那只长的也像桑塔呢。")NOD()CLR()
    FAC("sue_normal")CAT("\n恰可你这么一说好像确实也是。")NOD()CLR()
    FAC()CAT("\n我这边还有一条长的很像狗。")NOD()CLO()
    WAI(16)
    AMC("bark")WAI(16)AMC("bark")WAI(16)AMC("bark")WAI(16)
    WAI(64)
    FAC("sue_sad")MS3("感觉好恶心...")NOD()
    CAT("\n它甚至还发出了小狗的叫声。")NOD()CLR()
    CAT("\n这种变异的怪鱼真的能吃嘛？")NOD()CLR()
    FAC("jack_normal")CAT("喂你在想什么啊！")NOD()
    CAT("\n是我们啊！")NOD()CLR()
    CAT("我都听到了")
    CAT("\n你刚刚在说我的坏话...")NOD()CLR()
    FAC("sue_normal")CAT("\n嗯？这个声音是杰克？！")NOD()CLO()
    ANP("Toroko1","run",0)
    WAI(40)
    ANP("Toroko1","normal",1)
    FAC()MS3("其实还有桑塔我！")NOD()
    CAT("\n话说恰可你怎么也被抓进来了？")NOD()CLR()
    ANP("Chako1","walk",1)
    WAI(8)
    ANP("Toroko1","walk",1)
    WAI(8)
    ANP("Chako1","normal",1)
    WAI(8)
    ANP("Toroko1","normal",1)
    FAC("chako_normal")CAT("这个就说来话长了，")NOD()
    FAC("chako_happy")CAT("\n话说你们怎么变成鱼了？")NOD()CLR()
    FAC("jack_normal")CAT("我们本来要淹死在海里的，")NOD()
    CAT("\n在昏迷了一段时间后，")NOD()
    CAT("\n醒来时就发现自己变成鱼了。")NOD()CLR()
    FAC("chako_happy")CAT("\n原来是这样...")NOD()CLR()
    FAC()CAT("\n所以怪物都长什么样子？")NOD()CLR()
    FAC("sue_normal")CAT("一个体型长的很像巴鲁罗格，")NOD()
    CAT("\n另一个是长手长脚的巨人。")NOD()CLR()
    FAC("jack_normal")CAT("明白了~")NOD()
    CAT("\n我们马上就去打败怪物")
    CAT("\n然后救你们出来！")NOD()CLR()
    FAC("sue_sad")CAT("\n就凭你们这两条咸鱼嘛....")NOD()
    AMC("bark")WAI(16)AMC("bark")WAI(16)AMC("bark")WAI(16)CLR()
    FAC("toroko_normal")MS3("\n还有一条小狗呢~")NOD()CLR()
    FAC("jack_normal")CAT("话不多说了，")NOD()
    CAT("\n把我们放回水里吧，")NOD()
    CAT("\n我们一定会想办法救你们出来的。")NOD()CLR()
    FAC("sue_normal")CAT("\n好吧~")NOD()CLR()
    CAT("对了，")NOD()
    FAC("sue_sad")CAT("\n我们现在饿极了，")NOD()
    FAC("sue_normal")CAT("\n帮我们弄点吃的来吧...")NOD()CLR()
    FAC("jack_normal")CAT("\n好的。")NOD()CLO()
    FLP("BringSomeFood")
    MSR("SaveToroko","SaveEveryone")
    MSA("BringSomeFood")
    FAO(0)TRA("CS_soapcastle_jail","E0092",25,14)
end

function GiveFood()
    DNP("GiveFood")
    FLS("BringSomeFood")
    KEY()
    ---[[
    MM0()
    WAS()
    FAO(0)
    MOV(9,12,"CS_mychar_jack_p1")
    MOV(8,12,"CS_mychar_santa_p2")
    MOV(7,12,"CS_mychar_puppy_p3")
    FAI(2)
    WAI(16)
    --大家往左看
    ANP("Chako1","normal",0)
    WAI(32)
    ANP("Sue1","normal",0)
    WAI(16)
    ANP("Chako1","walk",0)
    WAI(16)
    --间八站起
    ANP("Kanpa1","normal",0)
    WAI(16)
    ANP("Sue1","walk",0)
    WAI(16)
    ANP("Toroko1","walk",0)
    WAI(16)
    ANP("Kanpa1","walk",0)
    WAI(32)
    WAI(32)
    WAI(16)
    ANP("Chako1","normal",0)
    WAI(32)
    ANP("Sue1","normal",0)
    WAI(32)
    ANP("Toroko1","normal",0)
    WAI(32)
    WAI(16)
    ANP("Kanpa1","normal",0)
    WAI(32)
    FAC("chako_happy")MS3("\n果然是你们呢~")NOD()CLR()
    FAC("jack_normal")CAT("食物的话，")NOD()
    CAT("\n我们在周围的仓库里找到一些鱼饲料，")NOD()
    GIT("FishFeed")
    CAT("\n你看看能不能下咽吧。")NOD()CLO()
    GIT()
    ITS("FishFeed")
    SNP("CS_fishfeed",12,12,1,"mainLayer","FishFeed1")
    WAI(32)
    ANP("Sue1","normal",1)
    WAI(16)
    ANP("Chako1","normal",1)
    FAC("sue_sad")MS3("鱼饲料啊...")NOD()
    CAT("\n这种东西能吃嘛...")NOD()CLR()
    FAC("toroko_normal")CAT("让间八哥看看吧~")NOD()
    CAT("\n他对这个也许比较了解~")NOD()CLO()
    WAI(16)
    --间八和多隆子换位置
    ANP("Kanpa1","walk",0)
    ANP("Toroko1","walk",1)
    WAI(12)
    ANP("Toroko1","normal",0)
    WAI(4)
    ANP("Kanpa1","normal",0)
    WAI(32)
    MS3("这是")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")
    CAT("\n这个是非常高级的食肉鱼饲料啊！！")NOD()
    CAT("\n大部分都是鱼干虾干。")NOD()CLR()
    CAT("而且看起来也很不便宜的样子，")NOD()
    CAT("\n要是有多的话我就偷一包回去了...")NOD()CLR()
    FAC("toroko_normal")CAT("\n间八哥还是老样子呢~")NOD()CLR()
    FAC("sue_sad")CAT("\n所以这玩意能吃嘛？")NOD()CLR()
    FAC()CAT("这玩意对我们来说就是零食，")NOD()
    CAT("\n当然可以！")NOD()CLR()
    FAC("sue_normal")MS3("\n我明白了。")NOD()CLO()
    WAI(16)
    ANP("Chako1","normal",0)
    WAI(16)
    ANP("Sue1","normal",0)
    WAI(16)
    FAC("chako_happy")MS3("\n话说你们接下来打算怎么做？")NOD()CLR()
    FAC("jack_normal")CAT("我们打算先把逃跑的路线探一下，")NOD()
    CAT("\n之后回来...")
    SOU("CS_026_quake")QUA(16)
    AMC("normal",0,"CS_mychar_puppy_p3")
    WAI(16)
    CLR()
    FAC()CAT("\n嗯？")
    AMC("normal",0,"CS_mychar_santa_p2")
    WAI(16)
    AMC("normal",0,"CS_mychar_jack_p1")
    WAI(64)
    NOD()CLO()
    --]]
    WAI(16)
    FAO(0)
    POS(true)
    HMC()
    TRA("CS_soapcastle_puuroom","TheKingIsComeBack",34,13)
end

function PreparingToExplore()
    KEY()
    SNP("CS_chako_animate",11,12,0,"mainLayer","Chako1")
    MNP("Sue1",12,12,0)
    ANP("Sue1","normal",0)
    MNP("Kanpa1",13,12,0)
    MNP("Toroko1",14,12,0)
    POS(false)
    SMC()
    SLR(0)
    FAI(2)
    WAI(32)
    FAC("sue_normal")MS3("\n刚才好像震了一下...")NOD()CLR()
    FAC("jack_normal")CAT("可能是周围的岩石塌了吧，")NOD()
    CAT("\n毕竟这外面就是海。")NOD()CLO()
    WAI(16)
    AMC("normal",1,"CS_mychar_jack_p1")
    WAI(16)
    AMC("normal",1,"CS_mychar_santa_p2")
    WAI(16)
    AMC("normal",1,"CS_mychar_puppy_p3")
    WAI(16)
    FAC("jack_normal")MS3("\n那么我们先去探索逃跑路线了。")NOD()CLR()
    FAC("sue_normal")CAT("虽然不想承认，")NOD()
    CAT("\n但给你们加油~")NOD()CLR()
    FAC("toroko_normal")CAT("\n保佑哥哥们顺利~")NOD()CLO()
    FLP("PuuRoomUnlock")
    FLP("ExploreEscapeRoutes")
    MSR("BringSomeFood","ExploreEscapeRoutes")
end

function CatchedJackSanta()
    KEY()
    CMU("CS_Vivi")
    SNP("CS_tap_animate",7,12,0,"mainLayer","Tap1")
    ANP("Tap1","right_look")
    MOV(11,12,"CS_mychar_puppy_p3")
    MOV(12,12,"CS_mychar_santa_p2")
    MOV(13,12,"CS_mychar_jack_p1")
    AMC("lie",1)
    SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    FAI(2)
    WAI(64)
    --大家向左看
    ANP("Chako1","normal",0)
    WAI(16)
    ANP("Sue1","normal",0)
    WAI(32)
    FAC("tap_normal")
    MS3("我是这个城堡里的将军，")NOD()
    CAT("\n有一堆士兵的部下。")NOD()CLR()
    CAT("你们在城堡的任何行动")
    CAT("\n我是看的一清二楚的，")NOD()
    CAT("\n所以别想着逃出这里。")NOD()CLR()
    CAT("我们被王所创造，侍奉为王。")NOD()
    CAT("\n虽然我和你们无仇，")NOD()
    CAT("\n但看到那两个傻子被打趴下时")
    CAT("\n我也不得不出手了。")NOD()CLO()
    FAC("tap_normal")
    WAI(32)
    ANP("Tap1","left_look")
    MS3("\n那么，我是时候该走了...")NOD()CLO()
    WAI(32)
    FAO(0)
    TRA("CS_soapcastle_fountain","RevivePuuTala",19,13)
end

function TalaBack()
    KEY()
    MOV(19,12,"CS_mychar_jack_p1")
    MOV(18,12,"CS_mychar_santa_p2")
    MOV(23,12,"CS_mychar_puppy_p3")
    SLR(1)
    AMC("normal")
    AMC("hide_gun")
    SNP("CS_chako_animate",20,12,0,"mainLayer","Chako1")
    MNP("Toroko1",22,12,0)
    MNP("Kanpa1",24,12,0)
    ANP("Sue1","normal",0)
    FAI(2)
    CMU("CS_Vivi")
    WAI(32)
    FAC("jack_><")MS3("\n抱歉！我们失败了...")NOD()CLR()
    FAC("sue_sad")CAT("\n果然还是失败了嘛。")NOD()CLR()
    FAC("toroko_normal")CAT("不过幸运的是")
    CAT("\n大家不都还好好的嘛，")NOD()
    CAT("\n而且我们其实还有希望。")NOD()CLR()
    FAC("chako_happy")CAT("没错！还有我在村长家")
    CAT("\n留给金的线索。")NOD()
    CAT("\n他一定能找到这的！")NOD()CLO()
    WAI(32)
    MS2("\n你们看起来还蛮精神的嘛...")NOD()CLO()
    WAI(32)
    AMC("normal",0,"CS_mychar_puppy_p3")
    AMC("stand_bark",0,"CS_mychar_puppy_p3")
    WAI(16)
    SLR(0,MCI("CS_mychar_santa"))
    WAI(16)
    SLR(0,MCI("CS_mychar_jack"))
    --Tala出现
    SNP("CS_soapwalker_animate",8,5,1,"mainLayer","Tala1")
    ANP("Tala1",1030)
    WAI(60)
    FAC("toroko_><")MS3("\n怪物先生出现了！")NOD()CLR()
    FAC("soapwalker_normal")CAT("\n不要那么紧张嘛...")NOD()CLR()
    FAC("jack_normal")CAT("怎么回事，")NOD()
    CAT("\n他已经被我们打败了")
    CAT("\n但现在又复活了...")NOD()CLR()
    FAC("soapwalker_normal")CAT("小美人~")
    CAT("\n快出来吧~")NOD()CLR()
    FAC("jack_normal")CAT("嗯？")NOD()
    CAT("\n小...小美人...？")NOD()
    SLR(1,MCI("CS_mychar_jack"))
    CAT("\n是指恰可嘛？")NOD()CLR()
    FAC("sue_normal")CAT("\n难道杰克你能听懂怪物说的话？！")NOD()CLR()
    FAC("jack_normal")CAT("可以！")NOD()
    GIT("Translator")
    CAT("\n我有翻译机。")NOD()CLR()
    FAC("jack_><")CAT("啊...居然忘记还给回收店老板了...")NOD()
    CAT("\n但现在是危机关头也没有办法。")NOD()CLR()
    GIT()
    FAC("chako_normal")CAT("\n那个翻译机让我来用吧。")NOD()CLR()
    FAC("jack_normal")CAT("\n给你，恰可。")NOD()CLO()
    GIT("Translator")
    FAC()MS3("\n把翻译机交給了恰可。")NOD()CLR()
    GIT()
    FAC("chako_normal")CAT("接下来我会和怪物单人交谈，")NOD()
    CAT("\n你们在一旁看着就好了。")NOD()CLR()
    FAC("jack_normal")CAT("\n可是...")NOD()CLR()
    FAC("toroko_normal")CAT("\n我相信恰可姐~")NOD()CLR()
    FAC("sue_normal")CAT("\n我也是~")NOD()CLR()
    FAC("jack_normal")CAT("\n那好吧...")NOD()CLO()
    --恰可走到怪物面前
    ANP("Chako1","walk",0)
    WAI(16)
    SLR(0,MCI("CS_mychar_jack"))
    WAI(16*7)
    ANP("Tala1","look_down")
    ANP("Chako1","normal",0)
    WAI(16)
    FAC("chako_happy")MS3("听的懂我的话吗？")NOD()
    CAT("\n怪物先生？")NOD()CLR()
    FAC("soapwalker_normal")CAT("诶？我居然能和你们交谈了...")NOD()
    CAT("\n不过这样也好。")NOD()CLR()
    CAT("\n小美人~你想说什么呢？")NOD()CLR()
    FAC("chako_happy")CAT("\n怪物先生为什么要抓我们呢？")NOD()CLR()
    FAC("soapwalker_normal")CAT("这个嘛...")NOD()
    CAT("\n因为我们有一条昂贵的大鱼")
    CAT("\n被你们其中的一个家伙给弄丢了，")NOD()
    CAT("\n现在得把你们卖给高第来偿还。")NOD()CLR()
    FAC("chako_normal")CAT("原来是这么回事。")NOD()CLO()
    WAI(32)
    ANP("Chako1","normal",1)
    WAI(32)
    FAC("chako_sigh")MS3("(间八你啊...")NOD()
    CAT("\n这一钓可把我们所有人给钓走了...)")NOD()CLR()
    CAT("(虽然想这么说，")NOD()
    CAT("\n但现在不是责怪同伴的时候。)")NOD()CLO()
    WAI(32)
    ANP("Chako1","normal",0)
    WAI(32)
    FAC("chako_happy")MS3("我明白了，怪物先生。")NOD()
    CAT("\n我也知道你们是不是因为还差一只，")NOD()
    CAT("\n卖给高第的价格不够？")NOD()CLR()
    FAC("soapwalker_normal")CAT("\n基本上是这样。")NOD()CLR()
    FAC("chako_happy")CAT("其实我是超级稀有的咪咪卡，")NOD()
    CAT("\n一只可以抵上2只，")NOD()
    CAT("\n所以你们明天就可以把我们交给高第了。")NOD()
    CAT("\n晚上你们就去准备交接手续吧。")NOD()
    CAT("\n让我们好好休息。")NOD()CLR()
    FAC("soapwalker_disappointed")CAT("切..行吧...")NOD()
    CAT("\n没想到这样就结束了，")NOD()
    CAT("\n这可一点也不好玩。")NOD()CLR()
    FAC("soapwalker_normal")CAT("(不过晚上还有时间，")NOD()
    CAT("\n我应该可以...)")NOD()CLR()
    FAC()MS2("\n我都听到了！")NOD()CLR()
    FAC("soapwalker_angry")MS3("\n（别这个时候来啊...）")NOD()CLO()
    WAI(32)
    SNP("CS_puu_animate",6,5,1,"mainLayer","Puu1")
    ANP("Puu1",1030)
    WAI(60)
    FAC("puu_normal")MS3("这样我们终于能买的起那条新龙鱼了，")NOD()
    FAC("puu_cry")CAT("\n我活下来了。")NOD()CLR()
    FAC("soapwalker_disappointed")CAT("是啊...")NOD()
    CAT("\n就这么结束了真是无趣。")NOD()CLR()
    FAC("puu_normal")CAT("快！")NOD()
    ANP("Puu1","normal",0)
    CAT("\n陪我一起去组装新的货箱笼子！")NOD()CLR()
    FAC("soapwalker_disappointed")CAT("\n好.....好....")NOD()CLO()
    FAO(0)
    TRA("CS_soapcastle_jail","WaitingForRescue",3,12)
end

function WaitingForRescue()
    KEY()
    MOV(19,12,"CS_mychar_jack_p1")
    MOV(18,12,"CS_mychar_santa_p2")
    MOV(23,12,"CS_mychar_puppy_p3")
    SLR(1)
    AMC("normal")
    AMC("hide_gun")
    SNP("CS_chako_animate",20,12,0,"mainLayer","Chako1")
    MNP("Toroko1",22,12,0)
    MNP("Kanpa1",24,12,0)
    ANP("Sue1","normal",0)
    FAI(2)
    WAI(32)
    FAC("sue_normal")MS3("\n恰可，你都和怪物说了啥？")NOD()CLR()
    FAC("chako_normal")CAT("总之就是，我们明天要被卖给高第了。")NOD()
    CAT("\n之后得在那边等待救援。")NOD()CLR()
    FAC("jack_normal")CAT("怪物果然还是")
    CAT("\n不是因为饿了才抓我们吗...")NOD()CLR()
    FAC()CAT("\n差不多是这样。")NOD()CLR()
    FAC("jack_normal")CAT("但我听茶羽说")
    CAT("\n高第是食咪咪卡族，")NOD()
    FAC("jack_><")CAT("\n我们在那边也一样凶险了...")NOD()CLR()
    FAC()CAT("\n是这样呢...")NOD()CLR()
    FAC("sue_sad")CAT("金、")NOD()CAT("库特、")NOD()CAT("卡莉...")NOD()
    CAT("\n你们要快来点回来救我们啊....")NOD()CLR()
    FAC("toroko_><")CAT("\n阿弥陀佛！.....祈祷！")NOD()CLO()
    FAO(0)
    TRA("CS_peace_town_disco","ChabaGoHome",5,16)
end